Displaying 11 results from an estimated 11 matches for "__actions__".
2013 Dec 09
3
[PATCH 1/3] Fix manpage generation in out-of-tree builds
...po-docs/ja/Makefile.am
index 820f91a..e954f04 100644
--- a/po-docs/ja/Makefile.am
+++ b/po-docs/ja/Makefile.am
@@ -92,9 +92,9 @@ guestfs.3: guestfs.pod guestfs-actions.pod guestfs-availability.pod guestfs-stru
--man $@ \
--section 3 \
--license LGPLv2+ \
- --insert guestfs-actions.pod:__ACTIONS__ \
- --insert guestfs-availability.pod:__AVAILABILITY__ \
- --insert guestfs-structs.pod:__STRUCTS__ \
+ --insert $(srcdir)/guestfs-actions.pod:__ACTIONS__ \
+ --insert $(srcdir)/guestfs-availability.pod:__AVAILABILITY__ \
+ --insert $(srcdir)/guestfs-structs.pod:__STRUCTS__ \
$<...
2013 Mar 07
7
Fixes from the patch queue of the Debian package
Here are three patches that fix issues with out-of-tree building and
one that uses Ruby's own autoconf stuff for determining how Ruby
bindings should be built.
Cheers,
-Hilko
2015 Oct 22
2
[PATCH 1/2] build: isolate common po-docs logic
..._DIST = \
- $(MANPAGES) \
- $(podfiles)
-
-all-local: $(MANPAGES)
-
-guestfs.3: guestfs.pod guestfs-actions.pod guestfs-availability.pod guestfs-structs.pod
- $(PODWRAPPER) \
- --no-strict-checks \
- --man $@ \
- --section 3 \
- --license LGPLv2+ \
- --insert $(srcdir)/guestfs-actions.pod:__ACTIONS__ \
- --insert $(srcdir)/guestfs-availability.pod:__AVAILABILITY__ \
- --insert $(srcdir)/guestfs-structs.pod:__STRUCTS__ \
- $<
-
-guestfish.1: guestfish.pod guestfish-actions.pod guestfish-commands.pod guestfish-prepopts.pod
- $(PODWRAPPER) \
- --no-strict-checks \
- --man $@ \
- --l...
2019 Nov 28
4
[PATCH v2 0/3] options: Describe --key SELECTOR in a single file.
v1 was here:
https://www.redhat.com/archives/libguestfs/2019-November/msg00271.html
In v2 I just updated the way paths are handled.
Note this series requires the following patch to common which adds the
common/options/key-option.pod file:
https://www.redhat.com/archives/libguestfs/2019-November/msg00269.html
Rich.
2019 Nov 26
4
[PATCH libguestfs 0/3] options: Describe --key SELECTOR in a single file.
The libguestfs part of this change.
Also a virt-v2v part will be needed.
The first patch adds a new feature to podwrapper so that we can use
__INCLUDE:file__ directives within the POD itself (instead of using
--insert, and one day replacing that).
The second patch shows how this change could be used for the included
parts of the guestfish man page, including the non-English pages under
2019 Dec 11
2
[PATCH 1/2] podcheck: __INCLUDE:file.pod__ and __VERBATIM:file.txt__ in POD files.
Make sure the pod checker script can deal with the newer additions of
podwrapper.pl.
Followup of commit 46e59e9535c2fcd1c188464b5249a249f22af1a0.
---
podcheck.pl | 36 ++++++++++++++++++++++++++++++++++++
1 file changed, 36 insertions(+)
diff --git a/podcheck.pl b/podcheck.pl
index 527a2e47d..795fe0e9b 100755
--- a/podcheck.pl
+++ b/podcheck.pl
@@ -83,6 +83,15 @@ used where the POD includes
2019 Dec 11
0
[PATCH 2/2] tests: fix podcheck tests
...dir/common/options
diff --git a/fish/test-docs.sh b/fish/test-docs.sh
index 6630da43e..7e9f9928e 100755
--- a/fish/test-docs.sh
+++ b/fish/test-docs.sh
@@ -22,7 +22,5 @@ $TEST_FUNCTIONS
skip_if_skipped
$top_srcdir/podcheck.pl guestfish.pod guestfish \
- --insert $srcdir/guestfish-actions.pod:__ACTIONS__ \
- --insert $srcdir/guestfish-commands.pod:__FISH_COMMANDS__ \
- --insert $srcdir/guestfish-prepopts.pod:__PREPOPTS__ \
+ --path $srcdir --path $top_srcdir/common/options \
--ignore=-D
diff --git a/fuse/test-docs.sh b/fuse/test-docs.sh
index ba2c9c57a..0edc25658 100755
--- a/fuse/tes...
2014 May 29
2
Re: libguestfs error
Hi Rich
I using ubuntu 13.10 with powerpc arch.
I tried the above stepss and below are the output of the related commands..
nm -D /usr/lib/powerpc-linux-gnu/libtinfo.so | grep tgetent
0000def0 T tgetent
ubuntu@t4240-ubuntu1310:~$ dpkg -S /usr/lib/powerpc-linux-gnu/libtinfo.so
libtinfo-dev:powerpc: /usr/lib/powerpc-linux-gnu/libtinfo.so
However I'm not able to perform rm -f config.cache
2016 Jul 18
2
[PATCH] tests: Implement script to check documented tool options match actual options.
...of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+export LANG=C
+set -e
+
+$srcdir/../podcheck.pl guestfish.pod guestfish \
+ --insert $srcdir/guestfish-actions.pod:__ACTIONS__ \
+ --insert $srcdir/guestfish-commands.pod:__FISH_COMMANDS__ \
+ --insert $srcdir/guestfish-prepopts.pod:__PREPOPTS__ \
+ --ignore=-D
diff --git a/format/Makefile.am b/format/Makefile.am
index cc0489b..9951ba1 100644
--- a/format/Makefile.am
+++ b/format/Makefile.am
@@ -18,6 +18,8 @@
inc...
2014 May 29
2
Re: libguestfs error
...CCLD libutils.la
CCLD libguestfs.la
CC libvirt_is_version-libvirt-is-version.o
CCLD libvirt-is-version
perl /home/ubuntu/libguestfs-1.26.1/podwrapper.pl \
--section 3 \
--man guestfs.3 \
--html ../html/guestfs.3.html \
--insert ./guestfs-actions.pod:__ACTIONS__ \
--insert ./guestfs-availability.pod:__AVAILABILITY__ \
--insert ./guestfs-structs.pod:__STRUCTS__ \
--license LGPLv2+ \
guestfs.pod
podwrapper.pl: wrote guestfs.3
Wide character in print at /home/ubuntu/libguestfs-1.26.1/podwrapper.pl
line 529.
podwrapper.pl: wrote ../html...
2017 Feb 20
3
[PATCH 0/3] tests: Define common test functions.
Previously I posted a work-in-progress preview of this patch series:
https://www.redhat.com/archives/libguestfs/2017-February/msg00224.html
This is the finished version that updates all of the shell-script
based tests. It passes 'make check', 'make check-direct' and
'make check-slow'.
Rich.